#include <iostream>
#include <iomanip>
#include <cmath>
#include <vector>
#include <queue>
#include <map>
#include <set>
#include <algorithm>


using namespace std;
#define ll long long
#define endl '\n'
#define itn int

const long long oo=1000000000000;
const long long N=3000005;


int main()
{

//    ios_base::sync_with_stdio(0);
//    cin.tie(0);
//    cout.tie(0);

//
    ll test;
    cin>>test;
    while(test--)
    {

        ll n;
        cin>>n;
         ll c=0;
         ll a[n];
         for(itn i=0; i<n; i++)
         {

             cin>>a[i];
         }
        // cout<<"as";
        for(int i=0; i<pow(10,n+1); i++)
        {
            //cout<<i<<" ";
            set<ll>s;
            ll p=i;
            vector<ll>v;
            ll mx=-1;
            while(p!=0)
            {
                mx=max(mx,p%10);
                s.insert(p%10);
                p/=10;
            }
            if(s.size()==n && mx==n-1 )
            {
                p=i;

                while(p!=0)
                {

                    v.push_back(a[p%10]);
                    p/=10;
                }
                for(itn j=0; j<n; j++)
                {

                    if(j-1>=0 && j+1<n && v[j+1]+v[j-1]>=2*v[j]);
                    else if(j-1>=0 && j+1<n)
                    {

                        c++;
                        break;
                    }
                }
                if(c==0)
                {
                    c=-1;

                    break;
                }

            }

        }
        if(c==-1)cout<<"YES";
        else cout<<"NO";
        cout<<endl;

    }

}
